For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Npts
      • POSTCreate Npt
      • GETGet Npt
      • PUTUpdate Npt
      • DELRemove Npt
      • GETPlanned allocations and actual timesheet minutes for a non-project task, grouped by resource.
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt

Get Npts

GET
https://api.projectmanager.com/api/data/non-project-tasks
GET
/api/data/non-project-tasks
$curl https://api.projectmanager.com/api/data/non-project-tasks \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "description": "string",
18 "plannedStartDate": "2023-01-15",
19 "plannedFinishDate": "2023-01-15",
20 "actualStartDate": "2023-01-15",
21 "actualFinishDate": "2023-01-15",
22 "actualEffort": 1,
23 "actualDuration": 1,
24 "actualCost": 1.1,
25 "plannedCost": 1.1,
26 "plannedDuration": 1,
27 "plannedEffort": 1,
28 "priorityId": 1,
29 "percentComplete": 1,
30 "status": {
31 "id": "string",
32 "name": "string",
33 "order": 1,
34 "isDone": true
35 },
36 "assignees": [
37 {
38 "id": "string",
39 "initials": "string",
40 "name": "string",
41 "description": "string",
42 "isActive": true,
43 "colorName": "string",
44 "firstName": "string",
45 "lastName": "string",
46 "shortName": "string",
47 "avatarUrl": "string",
48 "email": "string"
49 }
50 ],
51 "shortId": "string",
52 "tags": [
53 {
54 "id": "string",
55 "name": "string",
56 "color": "string"
57 }
58 ],
59 "todos": [
60 {
61 "id": "string",
62 "text": "string",
63 "complete": true,
64 "createDate": "2024-01-15T09:30:00Z",
65 "modifyDate": "2024-01-15T09:30:00Z"
66 }
67 ],
68 "createDate": "2024-01-15T09:30:00Z",
69 "owner": {
70 "id": "string",
71 "initials": "string",
72 "firstName": "string",
73 "lastName": "string",
74 "email": "string",
75 "isActive": true,
76 "color": "string",
77 "avatarUrl": "string"
78 },
79 "ownerId": "string"
80 }
81 ]
82}

Retrieve a list of Non-Project Tasks (NPTs).

This endpoint does not use OData.

Was this page helpful?
Previous

Create Npt

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.